# set_simplextype

Sets the desired combination of primal and dual simplex algorithms.

void set_simplextype(lprec *lp, int simplextype);

Return Value

set_simplextype has no return value.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

simplextype

The desired combination of primal and dual simplex algorithms. Can by any of the following values:

SIMPLEX_PRIMAL_PRIMAL (5) | Phase1 Primal, Phase2 Primal
SIMPLEX_DUAL_PRIMAL (6) | Phase1 Dual, Phase2 Primal
SIMPLEX_PRIMAL_DUAL (9) | Phase1 Primal, Phase2 Dual
SIMPLEX_DUAL_DUAL (10) | Phase1 Dual, Phase2 Dual

Remarks

The set_simplextype function sets the desired combination of primal and dual simplex algorithms. The default is SIMPLEX_DUAL_PRIMAL (6).

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      set_simplextype(lp, SIMPLEX_PRIMAL_DUAL);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, get_simplextype, set_preferdual